Bug 845449 - The component add_to_groups where system is added to system group is not a part of SAM server should be discarded
The component add_to_groups where system is added to system group is not a pa...
Status: CLOSED NOTABUG
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Bryan Kearney
Tazim Kolhar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 02:32 EDT by Tazim Kolhar
Modified: 2016-04-25 20:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 09:57:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tazim Kolhar 2012-08-03 02:32:29 EDT
Description of problem:
katello-headpin does not support system-groups so
the cli option add_to_groups has to be discarded

Version-Release number of selected component (if applicable):

[root@dell-pe1800-01 ~]# rpm -qa | grep katello
katello-common-1.0.2-1.fc16.noarch
katello-certs-tools-1.1.7-1.fc16.noarch
katello-1.0.2-1.fc16.noarch
katello-cli-1.0.1-1.fc16.noarch
katello-glue-foreman-1.0.2-1.fc16.noarch
katello-selinux-1.0.1-1.fc16.noarch
katello-all-1.0.2-1.fc16.noarch
katello-glue-candlepin-1.0.2-1.fc16.noarch
katello-cli-common-1.0.1-1.fc16.noarch
katello-configure-1.0.1-1.fc16.noarch
katello-glue-pulp-1.0.2-1.fc16.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch

How reproducible:
yum install -y katello-all thumbslug
katello-configure --deployment=headpin 

Steps to Reproduce:
1.[root@dell-pe1800-01 ~]# katello -u admin -p admin system add_to_groups --help
Usage:  katello <options> system add_to_groups <options>

Options:
  -h, --help            show this help message and exit
  --name=NAME           system name (required)
  --org=ORG             name of organization (required)
  --system_groups=SYSTEM_GROUP_NAMES
                        comma separated list of system group names (required)
  -g                    grep friendly output
  -v                    verbose, more structured output
  -d DELIMITER          column delimiter in grep friendly output, works only
                        with option -g

  
Actual results:
There is cli option for systems to add system groups which is not a component of
katello-headpin

Expected results:
The option should be discarded

Additional info:
Comment 1 Eric Sammons 2012-08-16 09:57:41 EDT
Remove the the katello-cli and install katello-cli-headpin and the issue should be resolved.

Note You need to log in before you can comment on or make changes to this bug.